www.cendio.com
Bug 5855 - Upgrade OpenSSH to the latest version
: Upgrade OpenSSH to the latest version
Status: CLOSED FIXED
: ThinLinc
Client
: pre-1.0
: PC Unknown
: P2 Normal
: 4.7.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2016-04-22 17:07 by
Modified: 2016-09-23 10:09 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2016-04-22 17:07:23
We're using 7.1p2 and 7.2p2 is out. Doesn't seem to be anything security
related for the client in this upgrade.
------- Comment #3 From cendio 2016-06-21 09:09:06 -------
I've checked the diffs and done some basic testing on both *nix and Windows
platforms. Looks fine.
------- Comment #4 From cendio 2016-06-21 11:26:02 -------
Handing over to tester.
------- Comment #5 From cendio 2016-06-29 16:12:56 -------
All tests are made with ThinLinc client version 4.6.0post, build 5163.
List of test cases: 

Platform             | Password | SSH key | SmartCard   | Kerberos | Sound   |
OS X 10.11 (x86_64)  |     ✓    |     ✓   |      ✓      |    ✓     |   ✓     |
Igel UD3 (i686)      |     ✓    |     ✓   |      ✓      |    ✓     |   ✓     |
Fedora 23 (x86_64)   |     ✓    |     ✓   |      ✓      |    ✓     |   ✓     |
Igel IZ1 (arm7sf)    |     ✓    |     ✓   |      ✓      |    ✓     |   ✓     | 
Eltex TC-50 (arm7hf) |     ✓    |     ✓   |      ✓      |    ✓     |   ✓     |
Windows 10 (i686)    |     ✓    |     ✓   |      ✓      |    -     |   ✓     |

Kerberos authentication is not tested on Windows, future plan is to have proper
environment installed in our lab to even be able to test this.